Multi purpose cross-platform cryptography tool for symmetric encryption, hash digest, cipher-based message authentication code (CMAC) hash-based message authentication code (HMAC), digital signature, shared key agreement (VKO) and PBKDF2 function.

GOST is GOvernment STandard of Russian Federation:

GOST 28147-89 64-bit block cipher (RFC 5830)
GOST R 34.11-94 hash function 256-bit (RFC 5831)
GOST R 50739-95 data sanitization method (non-cryptographic)
GOST R 34.10-2001 public key signature function (RFC 5832)
GOST R 34.10-2012 public key signature function (RFC 7091)
GOST R 34.11-2012 Стрибог (Streebog) hash function 256/512-bit (RFC 6986)
GOST R 34.12-2015 128-bit block cipher Кузнечик (Kuznechik) (RFC 7801)
GOST R 34.12-2015 64-bit block cipher Магма (Magma)

Source code: https://github.com/pedroalbanese/gosttk
Visit: http://albanese.atwebpages.com

Project Samples

Project Activity

See All Activity >

Follow GOST Toolkit ☭

GOST Toolkit ☭ Web Site

Other Useful Business Software
Paessler: Easy to Use With Enterprise Power. Free Trial Icon
Paessler: Easy to Use With Enterprise Power. Free Trial

A low-code dashboard makes monitoring intuitive for any admin, while scripting and custom sensors give experts full control.

You shouldn't have to choose between a monitoring tool that's easy to use and one that's powerful enough for a complex environment. PRTG's low-code interface lets any admin build dashboards, set alerts and monitor devices without scripting, while custom sensors and full API access are there when your team needs deeper control. One platform, no compromise. Download a free 30-day trial now.
Get Free Download
Rate This Project
Login To Rate This Project

User Reviews

Be the first to post a review of GOST Toolkit ☭ !

Additional Project Details

Registered

2021-01-16